package com.sw.patroleditor.component.rosBridge;

import com.alibaba.fastjson2.JSONObject;
import edu.wpi.rail.jrosbridge.callback.TopicCallback;
import edu.wpi.rail.jrosbridge.messages.Message;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;


/**
 * 通过rosBridge获取机器人数据
 */
@Component
public class RobotDataCallBack implements TopicCallback {
    private static final Logger logger = LoggerFactory.getLogger(RobotDataCallBack.class);

    RobotDataModel robotDataModel = new RobotDataModel();

    @Override
    public void handleMessage(Message message) {
        if (null == message) {
            return;
        }
        try {
            robotDataModel = JSONObject.parseObject(message.toString(), RobotDataModel.class);   //message即该话题的广播消息
            //System.out.println(robotDataModel.toString());
        } catch (Exception e) {
            logger.error(e.toString());
        }
    }

    // 获取数据
    public RobotDataModel getRobotDataModel() {
        return robotDataModel;
    }


}